Upsert a list of orders to NorthbeamAsk AIpost https://api.northbeam.io/v1/ordersBody ParamsOrders list objectorder_idstringrequiredlength ≥ 1This must be a universal id that must be unique across all of your existing orders. It should exactly match the ID that you send using firePurchaseEvent if that is a part of your workflow. For documentation on firePurchaseEvent please review our Northbeam Pixel API. This must not be the customer ID.customer_idstringrequiredlength ≥ 1This must be a universal id that must be unique across all of your existing customers. The internal customer ID. This must not be the order ID. This should not be an email.time_of_purchasedate-timerequiredThe time the order was placed by the customer. ISO-8601 timestamp.customer_emailstringThe email associated with the customer. Cannot be provided if hashed_customer_email is present.customer_phone_numberstringThe phone number associated with the customer. Cannot be provided if hashed_customer_phone_number is present.hashed_customer_emailstringPre-hashed (SHA-256) email associated with the customer. Cannot be provided if customer_email is present. Important: Email must be normalized before hashing. See the Hashing Customer Data guide for normalization rules and implementation examples.hashed_customer_phone_numberstringPre-hashed (SHA-256) phone number associated with the customer. Cannot be provided if customer_phone_number is present. Important: Phone number must be normalized to E.164 format before hashing. See the Hashing Customer Data guide for normalization rules and implementation examples.customer_namestringThe name associated with the customer.customer_ip_addressstringThe IP address associated with the customer.discount_codesarray of stringsA list of discount codes used in the order.discount_codesADD stringdiscount_amountnumber≤ 100000000000000The amount of money discounted due to discount codes in the currency of the order.order_tagsarray of stringsA list of internal tags describing the order.order_tagsADD stringtaxnumberrequired≤ 100000000000000The tax amount in the currency of the order.is_recurring_orderbooleanWhether or not this order is part of a recurring purchase.truefalsecurrencystringrequiredlength ≥ 1The currency of the order. Note, all subsequent fields will assume that the currency is the one passed in this field. Please use standard ISO-4217 currency codes.purchase_totalnumberrequired≤ 100000000000000The amount of money collected from the customer (including taxes, shipping, and other fees) in the currency of the order.productsarray of objectsrequiredlength ≥ 1A list of objects describing the products in the order.products* objectidstringrequiredlength ≥ 1A unique identifier describing the product in the order.namestringrequiredlength ≥ 1The name of the product.quantitynumberrequired≤ 100000000000000How many of this product was sold in the orderpricenumberrequired≤ 100000000000000The (per unit) price of the product in the currency of the order.ADD objectrefundsarray of objectsA list of objects describing the refunded products.refundsADD objectcustomer_shipping_addressobjectcustomer_shipping_address objectADD objectResponses 200Orders succesfully upserted 400Invalid input 401Unauthenticated 500Server errorUpdated almost 2 years ago